[android-components](../../index.md) / [mozilla.components.service.fxa](../index.md) / [FirefoxAccount](index.md) / [deviceConstellation](./device-constellation.md)

# deviceConstellation

`fun deviceConstellation(): `[`DeviceConstellation`](../../mozilla.components.concept.sync/-device-constellation/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/FirefoxAccount.kt#L248)

Overrides [OAuthAccount.deviceConstellation](../../mozilla.components.concept.sync/-o-auth-account/device-constellation.md)

Returns the device constellation for the current account

**Return**
Device constellation for the current account

